﻿using HotelContracts.BindingModels;
using HotelContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HotelContracts.BusinessLogicsContracts
{
    public interface IReportHeadwaiterLogic
    {
        List<ReportMealPlanDinnerViewModel> GetMealPlanDinner();
        List<ReportConferenceBindingRoomsViewModel> GetConferenceBindingRooms(ReportHeadwaiterBindingModel model);
        void SaveMealPlanDinnerToWordFile(ReportHeadwaiterBindingModel model);
        void SaveMealPlanDinnerToExcelFile(ReportHeadwaiterBindingModel model);
        void SaveConferenceBindingRoomsToPdfFile(ReportHeadwaiterBindingModel model);
    }
}
